//Inhaltstyp zu Aufgabe 7
public class Tier {
  private String name = "";
  private String tierart = "";
  private double gewicht = 0;
  
  public Tier(String n, double g){
    name = n;
    tierart = "unbekannt";
    gewicht = g;
  }
  
  public Tier(String n, String a, double g){
    name = n;
    tierart = a;
    gewicht = g;
  }   
     
  public Tier(){
    name = "";
    tierart = "";
    gewicht = 0;
  }
  
  public void setName(String n){
    name = n;
  }
  
  public String getName(){
    return name;
  }
 
  public void setTierart(String a){
    tierart = a;
  }
  
  public String getTierart(){
    return tierart;
  }
    
  public void setGewicht(double g){
    gewicht = g;
  }
  
  public double getGewicht(){
    return gewicht;
  }
  
  public boolean istGleich(String n, String a, double g){
    if(name.equals(n) && tierart.equals(a) && gewicht == g) return true;
    else return false;
  }
  
  public String toString(){
    return name + " (" + tierart + ", " + gewicht + ")";
  }
  
}